import { IConnection, ISubscriber, ISubscriptionManager, OperationRequest } from "./types";
declare type Options = {
    subscriptionsTableName?: string;
};
declare class DynamoDBSubscriptionManager implements ISubscriptionManager {
    private tableName;
    private db;
    constructor({ subscriptionsTableName }?: Options);
    subscribersByEventName: (name: string) => AsyncIterable<ISubscriber[]> & AsyncIterator<ISubscriber[]>;
    subscribe: (names: string[], connection: IConnection, operation: OperationRequest & {
        operationId: string;
    }) => Promise<void>;
    unsubscribe: (subscriber: ISubscriber) => Promise<void>;
}
export { DynamoDBSubscriptionManager };
export default DynamoDBSubscriptionManager;
